Lines Matching +full:build +full:- +full:system +full:- +full:flaky

2   - local: '/.gitlab-ci.d/buildtest-template.yml'
4 build-system-alpine:
6 - .native_build_job_template
7 - .native_build_artifact_template
9 - job: amd64-alpine-container
12 TARGETS: avr-softmmu loongarch64-softmmu mips64-softmmu mipsel-softmmu
13 MAKE_CHECK_ARGS: check-build
14 CONFIGURE_ARGS: --enable-docs --enable-trace-backends=log,simple,syslog
16 check-system-alpine:
19 - job: build-system-alpine
23 MAKE_CHECK_ARGS: check-unit check-qtest
25 functional-system-alpine:
28 - job: build-system-alpine
32 MAKE_CHECK_ARGS: check-avocado check-functional
35 build-system-ubuntu:
37 - .native_build_job_template
38 - .native_build_artifact_template
40 job: amd64-ubuntu2204-container
43 CONFIGURE_ARGS: --enable-docs
44 TARGETS: alpha-softmmu microblazeel-softmmu mips64el-softmmu
45 MAKE_CHECK_ARGS: check-build
47 check-system-ubuntu:
50 - job: build-system-ubuntu
56 functional-system-ubuntu:
59 - job: build-system-ubuntu
63 MAKE_CHECK_ARGS: check-avocado check-functional
66 build-system-debian:
68 - .native_build_job_template
69 - .native_build_artifact_template
71 job: amd64-debian-container
74 CONFIGURE_ARGS: --with-coroutine=sigaltstack
75 TARGETS: arm-softmmu i386-softmmu riscv64-softmmu sh4eb-softmmu
76 sparc-softmmu xtensa-softmmu
77 MAKE_CHECK_ARGS: check-build
79 check-system-debian:
82 - job: build-system-debian
88 functional-system-debian:
91 - job: build-system-debian
95 MAKE_CHECK_ARGS: check-avocado check-functional
98 crash-test-debian:
101 - job: build-system-debian
106 - cd build
107 - make NINJA=":" check-venv
108 - pyvenv/bin/python3 scripts/device-crash-test -q --tcg-only ./qemu-system-i386
110 build-system-fedora:
112 - .native_build_job_template
113 - .native_build_artifact_template
115 job: amd64-fedora-container
118 … CONFIGURE_ARGS: --disable-gcrypt --enable-nettle --enable-docs --enable-crypto-afalg --enable-rust
119 TARGETS: microblaze-softmmu mips-softmmu
120 xtensa-softmmu m68k-softmmu riscv32-softmmu ppc-softmmu sparc64-softmmu
121 MAKE_CHECK_ARGS: check-build
123 build-system-fedora-rust-nightly:
125 - .native_build_job_template
126 - .native_build_artifact_template
128 job: amd64-fedora-rust-nightly-container
130 IMAGE: fedora-rust-nightly
131 CONFIGURE_ARGS: --disable-docs --enable-rust --enable-strict-rust-lints
132 TARGETS: aarch64-softmmu
133 MAKE_CHECK_ARGS: check-build
136 check-system-fedora:
139 - job: build-system-fedora
145 functional-system-fedora:
148 - job: build-system-fedora
152 MAKE_CHECK_ARGS: check-avocado check-functional
156 crash-test-fedora:
159 - job: build-system-fedora
164 - cd build
165 - make NINJA=":" check-venv
166 - pyvenv/bin/python3 scripts/device-crash-test -q ./qemu-system-ppc
167 - pyvenv/bin/python3 scripts/device-crash-test -q ./qemu-system-riscv32
169 build-system-centos:
171 - .native_build_job_template
172 - .native_build_artifact_template
174 job: amd64-centos9-container
177 CONFIGURE_ARGS: --disable-nettle --enable-gcrypt --enable-vfio-user-server
178 --enable-modules --enable-trace-backends=dtrace --enable-docs
179 TARGETS: ppc64-softmmu or1k-softmmu s390x-softmmu
180 x86_64-softmmu rx-softmmu sh4-softmmu
181 MAKE_CHECK_ARGS: check-build
183 # Previous QEMU release. Used for cross-version migration tests.
184 build-previous-qemu:
190 - build-previous
192 - build-previous/**/*.p
193 - build-previous/**/*.a.p
194 - build-previous/**/*.c.o
195 - build-previous/**/*.c.o.d
197 job: amd64-opensuse-leap-container
199 IMAGE: opensuse-leap
200 TARGETS: x86_64-softmmu aarch64-softmmu
202 GIT_FETCH_EXTRA_FLAGS: --prune --quiet
204 - source scripts/ci/gitlab-ci-section
205 - export QEMU_PREV_VERSION="$(sed 's/\([0-9.]*\)\.[0-9]*/v\1.0/' VERSION)"
206 - git remote add upstream https://gitlab.com/qemu-project/qemu
207 - git fetch upstream refs/tags/$QEMU_PREV_VERSION:refs/tags/$QEMU_PREV_VERSION
208 - git checkout $QEMU_PREV_VERSION
210 - mv build build-previous
212 .migration-compat-common:
215 - job: build-previous-qemu
216 - job: build-system-opensuse
222 IMAGE: opensuse-leap
223 MAKE_CHECK_ARGS: check-build
225 # Use the migration-tests from the older QEMU tree. This avoids
228 - cd build-previous
229 # Don't allow python-based tests to run. The
230 # vmstate-checker-script test has a race that causes it to fail
236 - unset PYTHON
238 - QTEST_QEMU_BINARY_SRC=./qemu-system-${TARGET}
239 QTEST_QEMU_BINARY=../build/qemu-system-${TARGET} ./tests/qtest/migration-test
241 - QTEST_QEMU_BINARY_DST=./qemu-system-${TARGET}
242 QTEST_QEMU_BINARY=../build/qemu-system-${TARGET} ./tests/qtest/migration-test
246 # Currently only "-cpu max" can provide (1), however it doesn't guarantee
248 migration-compat-aarch64:
249 extends: .migration-compat-common
254 migration-compat-x86_64:
255 extends: .migration-compat-common
259 check-system-centos:
262 - job: build-system-centos
268 functional-system-centos:
271 - job: build-system-centos
275 MAKE_CHECK_ARGS: check-avocado check-functional
279 build-system-opensuse:
281 - .native_build_job_template
282 - .native_build_artifact_template
284 job: amd64-opensuse-leap-container
286 IMAGE: opensuse-leap
287 TARGETS: s390x-softmmu x86_64-softmmu aarch64-softmmu
288 MAKE_CHECK_ARGS: check-build
290 check-system-opensuse:
293 - job: build-system-opensuse
296 IMAGE: opensuse-leap
299 functional-system-opensuse:
302 - job: build-system-opensuse
305 IMAGE: opensuse-leap
306 MAKE_CHECK_ARGS: check-avocado check-functional
310 # Flaky tests. We don't run these by default and they are allow fail
311 # but often the CI system is the only way to trigger the failures.
314 build-system-flaky:
316 - .native_build_job_template
317 - .native_build_artifact_template
319 job: amd64-debian-container
323 TARGETS: aarch64-softmmu arm-softmmu mips64el-softmmu
324 ppc64-softmmu rx-softmmu s390x-softmmu sh4-softmmu x86_64-softmmu
325 MAKE_CHECK_ARGS: check-build
327 functional-system-flaky:
330 - job: build-system-flaky
335 MAKE_CHECK_ARGS: check-avocado check-functional
338 AVOCADO_TAGS: flaky
340 # This jobs explicitly disable TCG (--disable-tcg), KVM is detected by
342 # Xen accelerator is not detected / selected. As result it build the
343 # i386-softmmu and x86_64-softmmu with KVM being the single accelerator
347 build-tcg-disabled:
350 job: amd64-centos9-container
354 - mkdir build
355 - cd build
356 - ../configure --disable-tcg --audio-drv-list="" --with-coroutine=ucontext
357 --disable-docs --disable-sdl --disable-gtk --disable-vnc
358 || { cat config.log meson-logs/meson-log.txt && exit 1; }
359 - make -j"$JOBS"
360 - make check-unit
361 - make check-qapi-schema
362 - cd tests/qemu-iotests/
363 - ./check -raw 001 002 003 004 005 008 009 010 011 012 021 025 032 033 048
365 170 171 184 192 194 208 221 226 227 236 253 277 image-fleecing
366 - ./check -qcow2 028 051 056 057 058 065 068 082 085 091 095 096 102 122
369 260 261 262 263 264 270 272 273 277 279 image-fleecing
370 - cd ../..
371 - make distclean
373 build-user:
376 job: amd64-debian-user-cross-container
378 IMAGE: debian-all-test-cross
379 CONFIGURE_ARGS: --disable-tools --disable-system
380 --target-list-exclude=alpha-linux-user,sh4-linux-user
381 MAKE_CHECK_ARGS: check-tcg
383 build-user-static:
386 job: amd64-debian-user-cross-container
388 IMAGE: debian-all-test-cross
389 CONFIGURE_ARGS: --disable-tools --disable-system --static
390 --target-list-exclude=alpha-linux-user,sh4-linux-user
391 MAKE_CHECK_ARGS: check-tcg
394 build-legacy:
397 job: amd64-debian-legacy-cross-container
399 IMAGE: debian-legacy-test-cross
400 TARGETS: alpha-linux-user alpha-softmmu sh4-linux-user
401 CONFIGURE_ARGS: --disable-tools
402 MAKE_CHECK_ARGS: check-tcg
404 build-user-hexagon:
407 job: hexagon-cross-container
409 IMAGE: debian-hexagon-cross
410 TARGETS: hexagon-linux-user
411 CONFIGURE_ARGS: --disable-tools --disable-docs --enable-debug-tcg
412 MAKE_CHECK_ARGS: check-tcg
414 # Build the softmmu targets we have check-tcg tests and compilers in
415 # our omnibus all-test-cross container. Those targets that haven't got
417 build-some-softmmu:
420 job: amd64-debian-user-cross-container
422 IMAGE: debian-all-test-cross
423 CONFIGURE_ARGS: --disable-tools --enable-debug
424 TARGETS: arm-softmmu aarch64-softmmu i386-softmmu riscv64-softmmu
425 s390x-softmmu x86_64-softmmu
426 MAKE_CHECK_ARGS: check-tcg
428 build-loongarch64:
431 job: loongarch-debian-cross-container
433 IMAGE: debian-loongarch-cross
434 CONFIGURE_ARGS: --disable-tools --enable-debug
435 TARGETS: loongarch64-linux-user loongarch64-softmmu
436 MAKE_CHECK_ARGS: check-tcg
438 # We build tricore in a very minimal tricore only container
439 build-tricore-softmmu:
442 job: tricore-debian-cross-container
444 IMAGE: debian-tricore-cross
445 CONFIGURE_ARGS: --disable-tools --disable-fdt --enable-debug
446 TARGETS: tricore-softmmu
447 MAKE_CHECK_ARGS: check-tcg
449 clang-system:
452 job: amd64-fedora-container
455 CONFIGURE_ARGS: --cc=clang --cxx=clang++ --enable-ubsan
456 --extra-cflags=-fno-sanitize-recover=undefined
457 TARGETS: alpha-softmmu arm-softmmu m68k-softmmu mips64-softmmu s390x-softmmu
458 MAKE_CHECK_ARGS: check-qtest check-tcg
460 clang-user:
463 job: amd64-debian-user-cross-container
466 IMAGE: debian-all-test-cross
467 CONFIGURE_ARGS: --cc=clang --cxx=clang++ --disable-system --enable-ubsan
468--target-list-exclude=alpha-linux-user,microblazeel-linux-user,aarch64_be-linux-user,i386-linux-us…
469 --extra-cflags=-fno-sanitize-recover=undefined
470 MAKE_CHECK_ARGS: check-unit check-tcg
474 # triggers an Out-Of-Memory error
479 # Split in three sets of build/check/avocado to limit the execution time of each
481 build-cfi-aarch64:
483 - .native_build_job_template
484 - .native_build_artifact_template
486 - job: amd64-fedora-container
489 AR: llvm-ar
491 CONFIGURE_ARGS: --cc=clang --cxx=clang++ --enable-cfi --enable-cfi-debug
492 --enable-safe-stack --disable-slirp
493 TARGETS: aarch64-softmmu
494 MAKE_CHECK_ARGS: check-build
495 # FIXME: This job is often failing, likely due to out-of-memory problems in
501 check-cfi-aarch64:
504 - job: build-cfi-aarch64
510 functional-cfi-aarch64:
513 - job: build-cfi-aarch64
517 MAKE_CHECK_ARGS: check-avocado check-functional
519 build-cfi-ppc64-s390x:
521 - .native_build_job_template
522 - .native_build_artifact_template
524 - job: amd64-fedora-container
527 AR: llvm-ar
529 CONFIGURE_ARGS: --cc=clang --cxx=clang++ --enable-cfi --enable-cfi-debug
530 --enable-safe-stack --disable-slirp
531 TARGETS: ppc64-softmmu s390x-softmmu
532 MAKE_CHECK_ARGS: check-build
533 # FIXME: This job is often failing, likely due to out-of-memory problems in
539 check-cfi-ppc64-s390x:
542 - job: build-cfi-ppc64-s390x
548 functional-cfi-ppc64-s390x:
551 - job: build-cfi-ppc64-s390x
555 MAKE_CHECK_ARGS: check-avocado check-functional
557 build-cfi-x86_64:
559 - .native_build_job_template
560 - .native_build_artifact_template
562 - job: amd64-fedora-container
565 AR: llvm-ar
567 CONFIGURE_ARGS: --cc=clang --cxx=clang++ --enable-cfi --enable-cfi-debug
568 --enable-safe-stack --disable-slirp
569 TARGETS: x86_64-softmmu
570 MAKE_CHECK_ARGS: check-build
573 check-cfi-x86_64:
576 - job: build-cfi-x86_64
582 functional-cfi-x86_64:
585 - job: build-cfi-x86_64
589 MAKE_CHECK_ARGS: check-avocado check-functional
591 tsan-build:
594 job: amd64-ubuntu2204-container
597 CONFIGURE_ARGS: --enable-tsan --cc=clang --cxx=clang++
598 --enable-trace-backends=ust --disable-slirp
599 TARGETS: x86_64-softmmu ppc64-softmmu riscv64-softmmu x86_64-linux-user
602 MAKE: setarch -R make
608 job: amd64-ubuntu2204-container
612 CONFIGURE_ARGS: --enable-gcov
613 TARGETS: aarch64-softmmu ppc64-softmmu s390x-softmmu x86_64-softmmu
614 MAKE_CHECK_ARGS: check-unit check-softfloat
616 - cd build
617 - gcovr --xml-pretty --exclude-unreachable-branches --print-summary
618 -o coverage.xml --root ${CI_PROJECT_DIR} . *.p
621 name: ${CI_JOB_NAME}-${CI_COMMIT_REF_NAME}-${CI_COMMIT_SHA}
625 - build/meson-logs/testlog.txt
627 junit: build/meson-logs/testlog.junit.xml
630 path: build/coverage.xml
632 build-oss-fuzz:
635 job: amd64-fedora-container
639 - mkdir build-oss-fuzz
640 - export LSAN_OPTIONS=suppressions=scripts/oss-fuzz/lsan_suppressions.txt
641 - CC="clang" CXX="clang++" CFLAGS="-fsanitize=address"
642 ./scripts/oss-fuzz/build.sh
643 - export ASAN_OPTIONS="fast_unwind_on_malloc=0"
644 - failures=0
645 - for fuzzer in $(find ./build-oss-fuzz/DEST_DIR/ -executable -type f
646 | grep -v slirp); do
649 …"${fuzzer}" -runs=1 -seed=1 || { echo "FAILED:"" ${fuzzer} exit code is $?"; failures=$(($failures…
651 - echo "Number of failures:"" $failures"
652 - test $failures = 0
654 build-tci:
657 job: amd64-debian-user-cross-container
659 IMAGE: debian-all-test-cross
661 - TARGETS="aarch64 arm hppa m68k microblaze ppc64 s390x x86_64"
662 - mkdir build
663 - cd build
664 - ../configure --enable-tcg-interpreter --disable-kvm --disable-docs --disable-gtk --disable-vnc
665 --target-list="$(for tg in $TARGETS; do echo -n ${tg}'-softmmu '; done)"
666 || { cat config.log meson-logs/meson-log.txt && exit 1; }
667 - make -j"$JOBS"
668 - make tests/qtest/boot-serial-test tests/qtest/cdrom-test tests/qtest/pxe-test
669 - for tg in $TARGETS ; do
670 export QTEST_QEMU_BINARY="./qemu-system-${tg}" ;
671 ./tests/qtest/boot-serial-test || exit 1 ;
672 ./tests/qtest/cdrom-test || exit 1 ;
674 - QTEST_QEMU_BINARY="./qemu-system-x86_64" ./tests/qtest/pxe-test
675 - QTEST_QEMU_BINARY="./qemu-system-s390x" ./tests/qtest/pxe-test -m slow
676 - make check-tcg
678 # Check our reduced build configurations
679 build-without-defaults:
682 job: amd64-centos9-container
686 --without-default-devices
687 --without-default-features
688 --disable-fdt
689 --disable-pie
690 --disable-qom-cast-debug
691 --disable-strip
692--target-list-exclude=aarch64-softmmu,microblaze-softmmu,mips64-softmmu,mipsel-softmmu,ppc64-softm…
695 build-libvhost-user:
697 stage: build
700 job: amd64-fedora-container
702 - mkdir subprojects/libvhost-user/build
703 - cd subprojects/libvhost-user/build
704 - meson
705 - ninja
709 build-tools-and-docs-debian:
711 - .native_build_job_template
712 - .native_build_artifact_template
714 job: amd64-debian-container
715 # when running on 'master' we use pre-existing container
719 MAKE_CHECK_ARGS: check-unit ctags TAGS cscope
720 CONFIGURE_ARGS: --disable-system --disable-user --enable-docs --enable-tools
730 # publish from 'stable-NNN' branches as that content is outdated.
741 - job: build-tools-and-docs-debian
743 - mkdir -p public
744 # HTML-ised source tree
745 - make gtags
748 - CI_COMMIT_MESSAGE= CI_COMMIT_TAG_MESSAGE= htags
749 -anT --tree-view=filetree -m qemu_init
750 -t "Welcome to the QEMU sourcecode"
751 - mv HTML public/src
753 - make -C build install DESTDIR=$(pwd)/temp-install
754 - mv temp-install/usr/local/share/doc/qemu/* public/
758 - public
764 stage: build
768 - job: amd64-fedora-container
771 - dnf install -y curl wget
773 …# would be nice to cancel the job if over quota (https://gitlab.com/gitlab-org/gitlab/-/issues/256…
775 …# curl --request POST --header "PRIVATE-TOKEN: $CI_JOB_TOKEN" "${CI_SERVER_URL}/api/v4/projects/…
776- 'scripts/coverity-scan/run-coverity-scan --check-upload-only || { exitcode=$?; if test $exitcode…
781 …scripts/coverity-scan/run-coverity-scan --update-tools-only > update-tools.log 2>&1 || { cat updat…
782 scripts/coverity-scan/run-coverity-scan --no-update-tools'
784 - if: '$COVERITY_TOKEN == null'
786 - if: '$COVERITY_EMAIL == null'
789 - if: '$CI_PROJECT_NAMESPACE == $QEMU_CI_UPSTREAM && $CI_PIPELINE_SOURCE == "schedule"'
791 - if: '$CI_PROJECT_NAMESPACE == $QEMU_CI_UPSTREAM'
794 - if: '$QEMU_CI != "1" && $QEMU_CI != "2"'
797 - when: manual